Bug 1656869 - Backport support for keydev in systemd-cryptsetup-generator
Summary: Backport support for keydev in systemd-cryptsetup-generator
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: systemd
Version: 8.0
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: rc
: 8.0
Assignee: systemd-maint
QA Contact: Frantisek Sumsal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-06 14:48 UTC by Michal Sekletar
Modified: 2019-06-14 00:52 UTC (History)
2 users (show)

Fixed In Version: systemd-239-10.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-14 00:52:58 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Michal Sekletar 2018-12-06 14:48:38 UTC
Description of problem:
RHEL-8 is currently missing support for option like,

rd.luks.key=70bc876b-f627-4038-9049-3080d79d2165=/key:LABEL=KEYDEV

Version-Release number of selected component (if applicable):
systemd-239-8.el8

How reproducible:
always

Steps to Reproduce:
1. man systemd-cryptsetup-generator


Actual results:
Above form of the luks.key option is not described in man page and doesn't work

Expected results:
Option is described in the man page and block device can be unlocked using keydev.

Comment 2 Lukáš Nykrýn 2018-12-11 16:10:50 UTC
fix merged to staging branch -> https://github.com/lnykryn/systemd-rhel/pull/251 -> post


Note You need to log in before you can comment on or make changes to this bug.